Bug 1487597 (CVE-2016-10510)

Summary: CVE-2016-10510 php-Kohana: XSS vulnerability via bypassing the strip_image_tags protection mechanism
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: gwync
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php-Kohana 3.3.6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:23:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1487598, 1487599    
Bug Blocks:    

Description Adam Mariš 2017-09-01 11:08:10 UTC
Cross-site scripting (XSS) vulnerability in the Security component of
Kohana before 3.3.6 allows remote attackers to inject arbitrary web
script or HTML by bypassing the strip_image_tags protection mechanism
in system/classes/Kohana/Security.php.

Upstream bug:

https://github.com/kohana/kohana/issues/107

Upstream patch:

https://github.com/kohana/core/pull/697

Reference:

https://github.com/kohana/kohana/releases/tag/v3.3.6

Comment 1 Adam Mariš 2017-09-01 11:08:29 UTC
Created php-Kohana tracking bugs for this issue:

Affects: epel-6 [bug 1487598]
Affects: fedora-all [bug 1487599]

Comment 2 Product Security DevOps Team 2019-06-08 03:23:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.